# $Revision: 1.15 $, $Date: 2009/06/16 13:16:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Inspector
Summary:	Class::Inspector - provides information about classes
Summary(pl.UTF-8):	Class::Inspector - dostarczenie informacji o klasach
Name:		perl-Class-Inspector
Version:	1.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	609189b49f64d329a6e413e0a6d8724a
URL:		http://search.cpan.org/dist/Class-Inspector/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Inspector allows you to get information about a loaded class.
Most or all of this information can be found in other ways, but they
aren't always very friendly, and usually involve a relatively high
level of Perl wizardry, or strange and unusual looking code.
Class::Inspector attempts to provide an easier, more friendly
interface to this information.

%description -l pl.UTF-8
Class::Inspector umożliwia pobieranie informacji o załadowanych
klasach. Większość z tych informacji można znaleźć na inne sposoby,
ale nie zawsze są one przyjazne i zwykle wymagają dosyć dużej
znajomości perlowej magii lub dziwnego i niezwykle wyglądającego kodu.
Class::Inspector próbuje dostarczyć łatwiejszy, bardziej przyjazny
interfejs do tych informacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/*.pm
%{perl_vendorlib}/Class/Inspector/Functions.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Inspector.spec,v $
Revision 1.15  2009/06/16 13:16:57  amateja
- updated to 1.24

Revision 1.14  2007/12/19 15:19:15  zbyniu
- up to 1.18

Revision 1.13  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.11  2006/12/22 12:22:43  qboosh
- unified

Revision 1.10  2006/07/26 19:09:58  glen
- corrected URL, rel 1

Revision 1.9  2006/07/11 08:01:11  qboosh
- updated md5

Revision 1.8  2006/07/10 21:06:15  agaran
- rel 1.16, my fault, rel 0.2, anyway seems to be working, tests passed

Revision 1.7  2006/07/10 21:05:35  agaran
- up to 0.16 rel 0.1 builds here

Revision 1.6  2005/06/22 15:11:25  czucz
- updated to 1.08

Revision 1.5  2004/12/01 12:27:19  radek
- autoupdated to 1.07

Revision 1.4  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/08/11 23:01:51  qboosh
- pl desc

Revision 1.2  2004/08/08 15:30:48  ankry
- cosmetics

Revision 1.1  2004/08/08 14:47:35  adamg
- new
